
#include "Motor.h"

void Motor::attach(int _pina, int _pinb) {
     if (_pina == 3 || _pina == 5 || _pina == 6 || _pina == 9 || _pina == 10 || _pina == 11) {
         this->pina = _pina;
         pinMode(this->pina, OUTPUT);
     }

     this->pinb = _pinb;
     pinMode(this->pinb, OUTPUT);
}

void Motor::write(int speed, MotorDirection forward) {
     if (forward == Forward){
         analogWrite(this->pina, speed);
         digitalWrite(this->pinb, LOW);
     } else {
         analogWrite(this->pina, ((speed * -1) + 255));
         digitalWrite(this->pinb, HIGH);
     }
}

void Motor::stop() {
     digitalWrite(this->pina, LOW);
     digitalWrite(this->pinb, LOW);
}