#ifndef __Motor_H__
#define __Motor_H__

#if defined(ARDUINO) && (ARDUINO >= 100)
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

typedef enum {
Forward,
Backward
} MotorDirection;

class Motor {
  int pina;
  int pinb;

  public:
  void attach(int _pina, int _pinb);
  void write(int speed, MotorDirection forward);
  void stop();
};

#endif